﻿<UserControl xmlns="https://github.com/avaloniaui"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             x:Class="WM.UserInterface.Views.PageGoodsOutView"
						 Background="#bfbfbf">

	<StackPanel>
		<Grid  Margin="10" RowDefinitions=".1*, .2*, .3*, *, .1*">
			<TextBlock Grid.Row="0" FontSize="24" TextWrapping="Wrap" FontWeight="SemiBold" Text="{Binding, Converter={StaticResource translator}, ConverterParameter=goodsout_title}"/>

			<TextBlock Grid.Row="1" Margin="10" FontSize="20" TextWrapping="Wrap" Text="{Binding, Converter={StaticResource translator}, ConverterParameter=goodsin_description}"/>

			<StackPanel Grid.Row="2" Margin="10" Orientation="Vertical">
				<StackPanel Orientation="Horizontal">
					<TextBlock Margin="5" Width="150" FontSize="14" Text="{Binding, Converter={StaticResource translator}, ConverterParameter=GoodsIn.Type}"></TextBlock>
					<TextBox Margin="5" Width="150" FontSize="14" Text="{Binding MaterialType, Mode=TwoWay}"/>
				</StackPanel>
				<StackPanel Orientation="Horizontal">
					<TextBlock Margin="5" Width="150" FontSize="14"  Text="{Binding, Converter={StaticResource translator}, ConverterParameter=GoodsIn.Lot}"></TextBlock>
					<TextBox Margin="5" Width="150" FontSize="14" Text="{Binding LotID, Mode=TwoWay}"/>
				</StackPanel>
			</StackPanel>

			<TextBlock Height="200" Margin="10" FontSize="20"  Grid.Row="3" Text="{Binding Message, Mode=TwoWay}"/>

			<Grid Grid.Row="4" ColumnDefinitions=".15*, .1*, *, .1*">
				<Button Margin="5" Grid.Column="0" Command="{Binding OnAddClick}" IsEnabled="{Binding MaterialType, Converter={x:Static StringConverters.IsNotNullOrEmpty}}" Content="{Binding, Converter={StaticResource translator}, ConverterParameter=Button.Dispatch}"/>
			</Grid>
		</Grid>
	</StackPanel>



</UserControl>
